/*                              FILE  RMATRIX.PH
**
**                           REAL MATRIX FUNCTIONS
**  
**  Complex matrices are covered in complex.ph
** ---------------------------------------------------------------------------
*/  
double *mcopy(double *, double *, int, int);  /* real matrix assignment     */
bool    minvert(double *, int);               /* real matrix inversion      */
double *mmul(double *, double *,              /* real matrix mutiplication  */
               double *, int, int, int);

/*                              MATRIX PRINTING
**  
**  Will generally only need matrix printing during debug.  If you
**  need it other times, just define MXPRN on the CL command line.
*/
#if defined(DBG)
   #undef MXPRN
   #define MXPRN
#endif

#if defined(MXPRN)
   void mprint(FILE *, double *, int, int);   /* print a matrix             */
#endif
